# Create Shipping Addresses
source: https://developer.mastercard.com/digital-redemptions/documentation/use-cases/redemptions/post-shipping-addresses/index.md

## Overview {#overview}

This use case provides the ability to create a shipping address for customer. The shipping address id, then can be associated with a redemption while creating a new one. Typically, merchandise redemptions require shipping addresses.

## Sequence diagram {#sequence-diagram}

Diagram post-shipping-addresses

##### Following are the execution steps: {#following-are-the-execution-steps}

1. The consumer signs into the customer application.
2. The customer authenticates the consumer.
3. The customer sends a signed request to the Digital Redemptions for creating shipping addresses for redemptions based on a given user.

* The request for creating shipping address requires the following mandatory request parameters:
  * **userId** : The identifier used to uniquely identify an user.
  * **userIdType** : Type of the user or account identification. Supported identifier is RANCU.
  * **phoneNumber** : Cardholder's home phone number.
  * **countryCode** : Country code of the shipping address.
  * **shippingName** : The descriptive name given to the shipping address.
  * **city** : City of the shipping address.

4. Mastercard Network API Gateway authenticates/authorizes the customer and routes the request to the Digital Redemptions in the case of a valid customer.
5. The Digital Redemptions Service validates the request parameters received via the `POST /redemptions/addresses` endpoint.
6. The Digital Redemptions Service creates the shipping address.
7. The Digital Redemptions Service sends a response with shippingAddressId a Unique Shipping Identification (200).
8. The Digital Redemptions Service sends a response with a status code of 4xx/5xx in case of an invalid request.

You will receive an error response for an invalid request or any missing request parameter. In that case, you need to update the input and perform step 3 again.

## Endpoint {#endpoint}


API Reference: `POST /redemptions/addresses`

